# Uses of Class
io.dapr.client.domain.AppConnectionPropertiesMetadata

Packages that use AppConnectionPropertiesMetadata
Package
Description
io.dapr.client.domain

## Uses of AppConnectionPropertiesMetadata in io.dapr.client.domain

Methods in io.dapr.client.domain that return AppConnectionPropertiesMetadata
Modifier and Type
Method
Description
`AppConnectionPropertiesMetadata`
DaprMetadata.`getAppConnectionProperties()`
Constructors in io.dapr.client.domain with parameters of type AppConnectionPropertiesMetadata
Modifier
Constructor
Description
``
`DaprMetadata(String id, String runtimeVersion, List<String> enabledFeatures, List<ActorMetadata> actors, Map<String,String> attributes, List<ComponentMetadata> components, List<HttpEndpointMetadata> httpEndpoints, List<SubscriptionMetadata> subscriptions, AppConnectionPropertiesMetadata appConnectionProperties)`
Constructor for a DaprMetadata.